{{ $labelData := dict "Values" .Values "Release" .Release "Chart" .Chart "Component" "websocket" }}
apiVersion: apps/v1
kind: Deployment
metadata:
  name: {{ include "backend2.websocketName" . }}
  labels:
    {{- include "backend2.labels" $labelData | nindent 4 }}
spec:
  replicas: {{ .Values.websocket.replicaCount }}
  selector:
    matchLabels:
      {{- include "backend2.selectorLabels" $labelData | nindent 6 }}
  strategy:
    rollingUpdate:
      maxSurge: 2
      maxUnavailable: 0
    type: RollingUpdate
  template:
    metadata:
      name: {{ include "backend2.websocketName" . }}
      labels:
        {{- include "backend2.selectorLabels" $labelData | nindent 8 }}
        environment: {{ .Values.env }}
    spec:
      containers:
        - name: {{ include "backend2.websocketName" . }}
          image: "{{ .Values.image.repository }}:{{ .Values.image.tag }}"
          imagePullPolicy: {{ .Values.image.pullPolicy }}
          command:
            - /start-websocket.sh
          ports:
            - name: http
              containerPort: 8989
              protocol: TCP
          envFrom:
            - configMapRef:
                name: {{ include "backend2.name" . }}
            - secretRef:
                name: {{ include "backend2.secretsName" . }}
          livenessProbe:
            httpGet:
              path: /ping
              port: http
            initialDelaySeconds: 20
            periodSeconds: 10
            timeoutSeconds: 1
            failureThreshold: 6
            successThreshold: 1
          readinessProbe:
            httpGet:
              path: /ping
              port: http
            readinessProbe:
              initialDelaySeconds: 10
              periodSeconds: 10
              timeoutSeconds: 1
              failureThreshold: 6
              successThreshold: 1
          resources:
            {{- toYaml .Values.websocket.resources | nindent 12 }}
      volumes:
